using System;
using System.Data;

/// <summary>
/// I_SystemLable 的摘要说明
/// </summary>
namespace nspLable.Manage
{
    public interface ISystemLable
    {
        int Insert(TSystemLable us);                  //添加系统标签信息
        int Update(TSystemLable us);                  //修改系统标签信息
        int Delete(int ID);                           //根据ID删除系统标签信息
        DataTable GetDataTable();                     //取得系统标签信息
        DataTable GetDataTable(int ParamID);          //根据系统标签类别ID得到相应的系统标签信息
        DataTable GetDataTable(TSystemLable eui);     //根据系统标签名，备注，所属类型查询系统标签信息
        TSystemLable GateItem(int ID);                //根据ID取得系统标签信息
    }
}
